Page MenuHomeFreeBSD

gvinum: add deprecation notice
ClosedPublic

Authored by emaste on Mar 25 2021, 5:59 PM.
Tags
None
Referenced Files
Unknown Object (File)
Wed, May 22, 2:59 AM
Unknown Object (File)
Thu, May 9, 11:17 AM
Unknown Object (File)
Thu, May 9, 11:17 AM
Unknown Object (File)
Thu, May 9, 11:16 AM
Unknown Object (File)
Thu, May 9, 11:16 AM
Unknown Object (File)
Thu, May 9, 11:16 AM
Unknown Object (File)
Thu, May 9, 11:05 AM
Unknown Object (File)
Mon, May 6, 2:53 AM
Subscribers

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

emaste created this revision.

If this is somehow still widely used, we can always revert.

This revision is now accepted and ready to land.Mar 25 2021, 7:31 PM

Should we add a 'gone_in()' call somewhere in the kernel as well, e.g. when creating a new gvinum GEOM provider?

sbin/gvinum/gvinum.8
61
In D29424#659116, @jhb wrote:

Should we add a 'gone_in()' call somewhere in the kernel as well, e.g. when creating a new gvinum GEOM provider?

Agreed, but that can be a separate review :)

Add .Xr to replacements, and link to wiki page

This revision now requires review to proceed.Mar 26 2021, 3:36 PM
sbin/gvinum/gvinum.8
52

Not sure what the proper markup for a URL is, but I see examples of .Pa in the tree already. manpages?

61

I can see arguments either way; my thinking was that the statement goes in with 'may' initially, and we can change it to 'will' once it's actually removed from current.

This revision was not accepted when it landed; it landed in state Needs Review.Mar 28 2021, 6:54 PM
This revision was automatically updated to reflect the committed changes.

Agreed, but that can be a separate review :)

Humm, we typically do deprecation notices all in one commit (manpage and gone_in).

@koobs moved the wiki page

Apologies, recent edits come up in RecentChanges so they tend to get more eyes and in my case, natural follow-up :)

Apologies, recent edits come up in RecentChanges so they tend to get more eyes and in my case, natural follow-up :)

No worries, better that it moved before commit :)

Apologies, recent edits come up in RecentChanges so they tend to get more eyes and in my case, natural follow-up :)

No worries, better that it moved before commit :)

Definitely. Coincidentally, @lcook and I were *just* talking about "a great redirector" freebsd service, which would have helped in that (unfortunate) case too. *writes notes*.